Bug 827802 - [ovirt-engine-backend] NullPointerException when trying to run a VM after a snapshot preview
[ovirt-engine-backend] NullPointerException when trying to run a VM after a s...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Allon Mureinik
Avihai Shoham
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 02:08 EDT by Kiril Nesenko
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 11:05:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (20.16 KB, application/x-bzip)
2012-06-03 02:08 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-06-03 02:08:00 EDT
Created attachment 588786 [details]
engine.log

Description of problem:
Getting NullPointerException when trying to run a VM after a snapshot preview

2012-06-03 08:59:18,091 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp--0.0.0.0-8009-4) ------- START, IsVmDuringInitiatingVDSCommand(vmId = d3ac0cfa-a7ad-43cf-820f-1265e3d7f1be), lo
g id: 5a83707b
2012-06-03 08:59:18,092 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp--0.0.0.0-8009-4) ------- FINISH, IsVmDuringInitiatingVDSCommand, return: false, log id: 5a83707b
2012-06-03 08:59:18,097 ERROR [org.ovirt.engine.core.bll.RunVmCommand] (ajp--0.0.0.0-8009-4) ------- Error during CanDoActionFailure.: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.QuotaManager.validateVdsGroupQuota(QuotaManager.java:268) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.validateQuota(RunVmCommand.java:365) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.InternalCanDoAction(CommandBase.java:486) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.CanDoActionOnly(CommandBase.java:244) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.Execute(MultipleActionsRunner.java:77) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:442) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:456) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunMultipleActions(Backend.java:417) [engine-bll.jar:]
        at sun.reflect.GeneratedMethodAccessor166.invoke(Unknown Source) [:1.6.0_24]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
        at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.1.Final-re
dhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.ovirt.engine.core.utils.ThreadLocalSessionCleanerInterceptor.injectWebContextToThreadLocal(ThreadLocalSessionCleanerInterceptor.java:11) [engine-utils.jar:]
        at sun.reflect.GeneratedMethodAccessor64.invoke(Unknown Source) [:1.6.0_24]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
        at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
        at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptorFactory$ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptorFactory.java:123) [jb
oss-as-ee.jar:7.1.1.Final-redhat-1]



Version-Release number of selected component (if applicable):
si5


How reproducible:
Always

Steps to Reproduce:
1. Create a livesnapshot and prview it.
2. Run a VM
3.
  
Actual results:
NullPointerException

Expected results:
User should be able to run a vm

Additional info:
Comment 1 Kiril Nesenko 2012-06-03 02:11:58 EDT
Tested on nfs storage.
Comment 3 Allon Mureinik 2012-06-06 11:05:03 EDT
Couldn't find the exact commit hash that sovled this, but testing with 8d9eaabc160df54ad7396bf1e204b1ba3609a7e4 failed to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.